Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface TypeModelFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelFacet, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  TypeLinkModelFacet

All Known Implementing Classes:
  TypeLinkModelFacetImpl, TypeModelFacetImpl

    public interface TypeModelFacet

extends ModelFacet

A representation of the model object 'Type Model Facet'. Model facet of an EClass

The following features are supported:

- `Meta Class`
- `Containment Meta Feature`
- `Child Meta Feature`
- `Model Element Selector`
- `Model Element Initializer`

See Also:
  `GMFGenPackage.getTypeModelFacet()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getChildMetaFeature()` Returns the value of the 'Child Meta Feature' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getContainmentMetaFeature()` Returns the value of the 'Containment Meta Feature' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getMetaClass()` Returns the value of the 'Meta Class' reference
`GenElementInitializer` `getModelElementInitializer()` Returns the value of the 'Model Element Initializer' containment reference
`GenConstraint` `getModelElementSelector()` Returns the value of the 'Model Element Selector' containment reference
`boolean` `isPhantomElement()`
`void` `setChildMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature value)` Sets the value of the '`Child Meta Feature`' reference
`void` `setContainmentMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature value)` Sets the value of the '`Containment Meta Feature`' reference
`void` `setMetaClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)` Sets the value of the '`Meta Class`' reference
`void` `setModelElementInitializer(GenElementInitializer value)` Sets the value of the '`Model Element Initializer`' containment reference
`void` `setModelElementSelector(GenConstraint value)` Sets the value of the '`Model Element Selector`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMetaClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getMetaClass()

  Returns the value of the 'Meta Class' reference.

  If the meaning of the 'Meta Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Meta Class' reference.
  See Also:
    `setMetaClass(GenClass)`, `GMFGenPackage.getTypeModelFacet_MetaClass()`
  ** Generated **
  Model:
    required="true"

### setMetaClass

    void setMetaClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)

  Sets the value of the '`Meta Class`' reference.

  Parameters:
    `value` - the new value of the 'Meta Class' reference.
  See Also:
    `getMetaClass()`
  ** Generated **

### getContainmentMetaFeature

    org.eclipse.emf.codegen.ecore.genmodel.GenFeature getContainmentMetaFeature()

  Returns the value of the 'Containment Meta Feature' reference.

  If the meaning of the 'Containment Meta Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Containment Meta Feature' reference.
  See Also:
    `setContainmentMetaFeature(GenFeature)`, `GMFGenPackage.getTypeModelFacet_ContainmentMetaFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='let r: ecore::EReference=containmentMetaFeature.ecoreFeature.oclAsType(ecore::EReference) in not containmentMetaFeature.oclIsUndefined() implies r.containment or r.eReferenceType.isSuperTypeOf(metaClass.ecoreClass)' description='\'Containment Meta Feature\' must reference \'Meta Class\' or its super-classes'"

### setContainmentMetaFeature

    void setContainmentMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature value)

  Sets the value of the '`Containment Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Containment Meta Feature' reference.
  See Also:
    `getContainmentMetaFeature()`
  ** Generated **

### getChildMetaFeature

    org.eclipse.emf.codegen.ecore.genmodel.GenFeature getChildMetaFeature()

  Returns the value of the 'Child Meta Feature' reference. Usually the same as containmentMetaFeature, unless you need to distinguish where to put and where to get from

  Returns:
    the value of the 'Child Meta Feature' reference.
  See Also:
    `setChildMetaFeature(GenFeature)`, `GMFGenPackage.getTypeModelFacet_ChildMetaFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not childMetaFeature.oclIsUndefined() implies childMetaFeature.ecoreFeature.oclAsType(ecore::EReference).eReferenceType.isSuperTypeOf(metaClass.ecoreClass)' description='\'Child Meta Feature\' must reference \'Meta Class\' or its sub-classes'"

### setChildMetaFeature

    void setChildMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature value)

  Sets the value of the '`Child Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Child Meta Feature' reference.
  See Also:
    `getChildMetaFeature()`
  ** Generated **

### getModelElementSelector

    GenConstraint getModelElementSelector()

  Returns the value of the 'Model Element Selector' containment reference. Selection criterion for domain model elements associated with this type model facet

  Returns:
    the value of the 'Model Element Selector' containment reference.
  See Also:
    `setModelElementSelector(GenConstraint)`, `GMFGenPackage.getTypeModelFacet_ModelElementSelector()`
  ** Generated **
  Model:
    containment="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='metaClass.ecoreClass'"

### setModelElementSelector

    void setModelElementSelector(GenConstraint value)

  Sets the value of the '`Model Element Selector`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Element Selector' containment reference.
  See Also:
    `getModelElementSelector()`
  ** Generated **

### getModelElementInitializer

    GenElementInitializer getModelElementInitializer()

  Returns the value of the 'Model Element Initializer' containment reference. State initializer for domain model elements associated with this type model facet

  Returns:
    the value of the 'Model Element Initializer' containment reference.
  See Also:
    `setModelElementInitializer(GenElementInitializer)`, `GMFGenPackage.getTypeModelFacet_ModelElementInitializer()`
  ** Generated **
  Model:
    containment="true"

### setModelElementInitializer

    void setModelElementInitializer(GenElementInitializer value)

  Sets the value of the '`Model Element Initializer`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Element Initializer' containment reference.
  See Also:
    `getModelElementInitializer()`
  ** Generated **

### isPhantomElement

    boolean isPhantomElement()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.